Update a round
US Region: https://public-api.sessionboard.com · EU Region: https://public-api-eu.sessionboard.com
Fields you omit keep their stored value. PUT and PATCH behave the same: send only the fields you are changing. Requires the write:awards scope.
Request example
curl --request PUT \ --url 'https://public-api.sessionboard.com/v1/organization/{orgId}/awards/programs/{programId}/rounds/{roundId}' \ --header 'x-access-token: <api-token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "<string>", "round_type": "submission_review", "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": true, "instructions": "<string>"}'const response = await fetch('https://public-api.sessionboard.com/v1/organization/{orgId}/awards/programs/{programId}/rounds/{roundId}', { method: 'PUT', headers: { "x-access-token": "<api-token>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "<string>", "round_type": "submission_review", "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": true, "instructions": "<string>" }),});
const data = await response.json();console.log(data);import requests
response = requests.request( "PUT", "https://public-api.sessionboard.com/v1/organization/{orgId}/awards/programs/{programId}/rounds/{roundId}", headers={ "x-access-token": "<api-token>", "Content-Type": "application/json" }, json={ "name": "<string>", "round_type": "submission_review", "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": True, "instructions": "<string>" },)
print(response.json())<?php
$curl = curl_init();
curl_setopt_array($curl, [ CURLOPT_URL => "https://public-api.sessionboard.com/v1/organization/{orgId}/awards/programs/{programId}/rounds/{roundId}", CURLOPT_RETURNTRANSFER => true, CURLOPT_CUSTOMREQUEST => "PUT", CURLOPT_POSTFIELDS => '{ "name": "<string>", "round_type": "submission_review", "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": true, "instructions": "<string>"}', CURLOPT_HTTPHEADER => [ "x-access-token: <api-token>", "Content-Type: application/json", ],]);
$response = curl_exec($curl);curl_close($curl);
echo $response;package main
import ( "fmt" "io" "net/http" "strings")
func main() { req, _ := http.NewRequest("PUT", "https://public-api.sessionboard.com/v1/organization/{orgId}/awards/programs/{programId}/rounds/{roundId}", strings.NewReader(`{ "name": "<string>", "round_type": "submission_review", "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": true, "instructions": "<string>"}`)) req.Header.Add("x-access-token", "<api-token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://public-api.sessionboard.com/v1/organization/{orgId}/awards/programs/{programId}/rounds/{roundId}")) .header("x-access-token", "<api-token>") .header("Content-Type", "application/json") .method("PUT", HttpRequest.BodyPublishers.ofString("{\n \"name\": \"<string>\",\n \"round_type\": \"submission_review\",\n \"submission_start_date\": \"<string>\",\n \"submission_end_date\": \"<string>\",\n \"review_start_date\": \"<string>\",\n \"review_end_date\": \"<string>\",\n \"passing_score\": 123.45,\n \"blind_review\": true,\n \"instructions\": \"<string>\"\n}")) .build();
HttpResponse<String> response = HttpClient.newHttpClient() .send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());Try it
Response headers
Authorizations
x-access-tokenstringheaderOrganization API token. Generate from Organization Settings → API Tokens.
AuthorizationBearer <token>headerorOAuth 2.1 access token. Obtained via the OAuth PKCE flow at
/oauth/token.
Send one of these. See Authentication.
Path parameters
orgIdstringpathrequiredYour organization ID. Any other organization returns
404.programIdstring<uuid>pathrequiredThe Awards program ID.
roundIdstring<uuid>pathrequiredThe round ID.
Request body
namestring- Min length
1- Max length
255
round_typestring- Allowed values
"submission_review", "review_only"
submission_start_datestring | nullYYYY-MM-DDor an ISO 8601 timestamp.submission_end_datestring | nullYYYY-MM-DDor an ISO 8601 timestamp.review_start_datestring | nullYYYY-MM-DDor an ISO 8601 timestamp.review_end_datestring | nullYYYY-MM-DDor an ISO 8601 timestamp.passing_scorenumber | nullblind_reviewbooleanHide submitter identity from reviewers.
instructionsstring | null- Max length
20000
{ "name": "<string>", "round_type": "submission_review", "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": true, "instructions": "<string>"}Responses
200application/json
Round updated
dataAwardsRoundShow child attributes
idstring<uuid>program_idstring<uuid>namestringround_typestring- Allowed values
"submission_review", "review_only"
is_defaultbooleanThe program's first round. It cannot be deleted.
submission_start_datestring | nullsubmission_end_datestring | nullreview_start_datestring | nullreview_end_datestring | nullpassing_scorenumber | nullblind_reviewbooleaninstructionsstring | nullcreated_atstring<date-time>updated_atstring<date-time>
400application/json
Invalid body or id
errorstring- Allowed values
"VALIDATION_ERROR", "SCOPE_REQUIRED", "FORBIDDEN", "NOT_FOUND", "CONFLICT"
messagestring
401
Missing or invalid token
403application/json
Token lacks write:awards
errorstring- Allowed values
"VALIDATION_ERROR", "SCOPE_REQUIRED", "FORBIDDEN", "NOT_FOUND", "CONFLICT"
messagestring
404application/json
Not found — also returned for any id belonging to another organization
errorstring- Allowed values
"VALIDATION_ERROR", "SCOPE_REQUIRED", "FORBIDDEN", "NOT_FOUND", "CONFLICT"
messagestring
Response examples
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "Final judging", "round_type": "submission_review", "is_default": true, "submission_start_date": "<string>", "submission_end_date": "<string>", "review_start_date": "<string>", "review_end_date": "<string>", "passing_score": 123.45, "blind_review": true, "instructions": "<string>", "created_at": "2026-01-15T09:30:00Z", "updated_at": "2026-01-15T09:30:00Z" }}{ "error": "VALIDATION_ERROR", "message": "\"name\" is not allowed to be empty"}{ "error": "SCOPE_REQUIRED", "message": "Token missing required scope: write:awards"}{ "error": "NOT_FOUND", "message": "Not found"}